## Bug or feature request?

(answer here)

<!--
## Duplicates

Before raising a feature request or bug please search through our open and closed issues
to see if there is something similiar. If you do find one similiar you can show it is important
to you by adding a reaction (such as 👍) to the issue

Open and closed issues:
https://github.com/atlassian/react-beautiful-dnd/issues?utf8=%E2%9C%93&q=is%3Aopen%20is%3Aclosed%20is%3Aissue%20
-->

<!--
## Feature request

This is not a general purpose drag and drop library and is attempting
to create an experience that is more physical than standard drag and drop
interactions on the web.

Before raising a new feature please ensure that it falls within the philosophy
of the library.

https://github.com/atlassian/react-beautiful-dnd#driving-philosophy-physicality
-->

<!-- ## Bug -->

### Expected behavior

### Actual behavior

### Steps to reproduce

### What version of `React` are you using?

<!--
  Take a look at your package.json
  Ensure that it satifies our peer dependency version - see our package.json. (Currently it is "^16.3.1")
-->

### What version of `react-beautiful-dnd` are you running?

<!--
  We will only look into issues that are effecting the latest version.
  At this stage we are not releasing fixes for previous releases
-->

### What browser are you using?

<!--
Keep in mind our supported browser matrix https://confluence.atlassian.com/cloud/supported-browsers-744721663.html
If you raise a bug that is not in a supported version we will not be fixing it
-->

### Demo

<!--
Please provide an example to show the issue. Here is a boilerplate to help you get started:
https://codesandbox.io/s/k260nyxq9v

If you paste a big block of code it can be difficult to debug it.

If it is a visual bug, a video or a gif would be helpful also.

Issues without demo's may not be investigated
-->

<!--
Note: stale issues will be removed
When a maintainer asks a question about an issue and it is not responded to within a reasonable timeframe then the issue will be closed. We don't want this to happen - but we also do not want to accumulate stale issues
--->
